;; Copyright (C) 2006-2008 Martin Bishop, Ivy Foster
;;
;;  This file is part of stumpwm.
;;
;; stumpwm is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2, or (at your option)
;; any later version.

;; stumpwm is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this software; see the file COPYING.  If not, write to
;; the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
;; Boston, MA 02111-1307 USA

;; Commentary:
;;
;; This file contains version information.
;;
;; Code:

(in-package :stumpwm)

(export '(*version* version))

(defparameter *version*
  #.(concatenate 'string
                 (if (probe-path ".git")
                     (string-trim '(#\Newline) (run-shell-command "git describe" t))
                     "Debian Git checkout 1:20110819.gitca08e08-2.1")
                 " Compiled On "
		 (format-expand *time-format-string-alist*
                                *time-format-string-default*)))

(defcommand version () ()
"Print version information and compilation date."
  (message *version*))

;; End of file
